﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;

namespace Jewels__hra_uživatele_
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ClientSize = new Size(250, 105);
        }

        private void casovylimit_CheckedChanged(object sender, EventArgs e)
        {
            if (casovylimit.Checked)
            {
                ClientSize = new Size(250, 135);
            }
            else
            {
                ClientSize = new Size(250, 105);
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            OpenFileDialog ofd = new OpenFileDialog();
            if (ofd.ShowDialog() == DialogResult.OK)
            {
                file.Text = ofd.FileName;
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            int casovyLimit = 0;
            if (!File.Exists(file.Text))
            {
                MessageBox.Show("Soubor neexistuje!");
                return;
            }
            if (casovylimit.Checked)
            {
                try
                {
                    string s = casovyLimitText.Text;
                    s.Replace(" ", null);
                    string[] split = s.Split(':');
                    string hod = split[0];
                    string min = split[1];
                    string sek = split[2];

                    int i = int.Parse(split[0]) * 3600;
                    i += int.Parse(split[1]) * 60;
                    i += int.Parse(split[2]);

                    casovyLimit = i;
                }
                catch
                {
                    MessageBox.Show("Tento časový limit nelze!");
                    return;
                }
            }
            Program.Time = -2;
            Program.File = file.Text;
            Program.Start = true;
            Close();
        }
    }
}
